IERIndex

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface IERIndex

    com.change_vision.jude.api.inf.model.IERIndex

All Implemented Interfaces:
  IElement, IHyperlinkOwner, INamedElement

public IERIndex
extends INamedElement

Interface for ERIndex

Field Summary

Fields inherited from class com.change_vision.jude.api.inf.model.INamedElement
`PACKAGE_VISIBILITY, PRIVATE_VISIBILITY, PROTECTED_VISIBILITY, PUBLIC_VISIBILITY`

Method Summary
`abstract void` | `addERAttribute(IERAttribute attribute)` Add an attribute of ERIndex
`abstract IERAttribute[]` | `getERAttributes()` Get attributes.
`abstract IERRelationship[]` | `getERRelationships()` Get erRelationships with this erIndex.
`abstract String` | `getKind()` Get a kind of ERIndex.
`abstract IEREntity` | `getParentEREntity()` Get parent EREntity.
`abstract boolean` | `isKey()` Check if the Key(AK,IE) is shown.
`abstract boolean` | `isUnique()` Check if the ERIndex is unique.
`abstract void` | `removeERAttribute(IERAttribute attribute)` Remove an attribute of ERIndex.
`abstract void` | `setKey(boolean isKey)` Set "show as Key(AK,IE)" / "not show as key(AK,IE)" to ERIndex.
`abstract void` | `setUnique(boolean isUnique)` Set unique/nonunique to ERIndex.

Methods inherited from class com.change_vision.jude.api.inf.model.INamedElement
`getAlias1, getAlias2, getClientDependencies, getConstraints, getDefinition, getDiagrams, getName, getSupplierDependencies, isPackageVisibility, isPrivateVisibility, isProtectedVisibility, isPublicVisibility, setAlias1, setAlias2, setDefinition, setName, setVisibility`

Methods inherited from class com.change_vision.jude.api.inf.model.IElement
`addStereotype, getComments, getId, getOwner, getStereotypes, getTaggedValues, getTypeModifier, isReadOnly, removeStereotype, setTypeModifier`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### isUnique

    public abstract boolean isUnique()

  Check if the ERIndex is unique.

  Returns:
    true Alternate Key(AK) / false: Inversion Entry(IE)

### isKey

    public abstract boolean isKey()

  Check if the Key(AK,IE) is shown.

  Returns:
    true: show as key(AK,IE) / false: not show as key(AK,IE)

### getParentEREntity

    public abstract IEREntity getParentEREntity()

  Get parent EREntity.

  Returns:
    EREntity

### getERAttributes

    public abstract IERAttribute[] getERAttributes()

  Get attributes.

  Returns:
    the array of attributes. Return the empty array if there is none.

### getERRelationships

    public abstract IERRelationship[] getERRelationships()

  Get erRelationships with this erIndex.

  Returns:
    the array of Relationship. Return the empty array if there is none.

### getKind

    public abstract String getKind()

  Get a kind of ERIndex.

  Returns:
    kind: AK1...,IE1... kind: AK1...,IE1...

### addERAttribute

    public abstract void addERAttribute(IERAttribute attribute)

  Add an attribute of ERIndex

  Parameters:
    `attribute` - attribute
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in JUDE/Community.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### removeERAttribute

    public abstract void removeERAttribute(IERAttribute attribute)

  Remove an attribute of ERIndex.

  Parameters:
    `attribute` - attribute
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in JUDE/Community.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### setUnique

    public abstract void setUnique(boolean isUnique)

  Set unique/nonunique to ERIndex.

  Parameters:
    `isUnique` - true - Alternate Key false - Inversion Entry
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in JUDE/Community.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### setKey

    public abstract void setKey(boolean isKey)

  Set "show as Key(AK,IE)" / "not show as key(AK,IE)" to ERIndex.

  Parameters:
    `isKey` - true - show as Key(AK,IE) false - not show as key(AK,IE)
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in JUDE/Community.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD